Skip to main content
`Ctrl`+`K`

# numpy.polynomial.hermite.hermroots

polynomial.hermite.hermroots(c)

  Compute the roots of a Hermite series.

  Return the roots (a.k.a. “zeros”) of the polynomial

  \[p(x) = \sum_i c[i] * H_i(x).\]
  Parameters:
    c 1-D array_like

      1-D array of coefficients.

  Returns:
    out ndarray

      Array of the roots of the series. If all the roots are real, then out is also real, otherwise it is complex.

  See also

  `numpy.polynomial.polynomial.polyroots`
  `numpy.polynomial.legendre.legroots`
  `numpy.polynomial.laguerre.lagroots`
  `numpy.polynomial.chebyshev.chebroots`
  `numpy.polynomial.hermite_e.hermeroots`

  Notes

  The root estimates are obtained as the eigenvalues of the companion matrix, Roots far from the origin of the complex plane may have large errors due to the numerical instability of the series for such values. Roots with multiplicity greater than 1 will also show larger errors as the value of the series near such points is relatively insensitive to errors in the roots. Isolated roots near the origin can be improved by a few iterations of Newton’s method.

  The Hermite series basis polynomials aren’t powers of x so the results of this function may seem unintuitive.

  Examples

      >>> from numpy.polynomial.hermite import hermroots, hermfromroots
      >>> coef = hermfromroots([-1, 0, 1])
      >>> coef
      array([0.   ,  0.25 ,  0.   ,  0.125])
      >>> hermroots(coef)
      array([-1.00000000e+00, -1.38777878e-17,  1.00000000e+00])